export default {
    translation: {
        general: {
            label: {
                scrollTop: 'Scroll to top',
                search: 'Search',
                refresh: 'Refresh',
                menu: 'Menu',
                shared: 'Shared',
                edit: 'Edit',
                dashboard: 'Dashboard',
                preview: 'Preview',
                copy: 'Copy',
                add: 'Add',
                remove: 'Remove',
                delete: 'Delete',
                settings: 'Settings',
                approved: 'Approved',
                denied: 'Denied',
                print: 'Print',
                undo: 'Undo',
                redo: 'Redo',
                readOnly: 'Read Only',
                hours: 'Hours',
                moveUp: 'Move up',
                moveDown: 'Move down',
                next: 'Next',
                back: 'Back',
                close: 'Close',
                done: 'Done',
                cancel: 'Cancel',
                applyChanges: 'Apply changes',
                selectAll: 'Select All',
                deselectAll: 'Deselect All',
                import: 'Import',
                export: 'Export',
                jump: 'Jump',
                filter: 'Filter',
                dismiss: 'Dismiss',
                accept: 'Accept',
                deny: 'Deny',
                proceed: 'Proceed',
                save: 'Save',
                upload: 'Upload',
                uploading: 'Uploading...',
            },
            alertify: {
                ok: 'Got it!',
                confirm: 'CONFIRM',
                cancel: 'CANCEL',
                accept: 'ACCEPT',
                deny: 'DENY',
                leave: 'LEAVE ANYWAY',
                stay: 'STAY',
                undoneWarning: 'This action cannot be undone.',
                leaveHint: 'Please click the "$t(general.label.done)" button to apply changes or "$t(general.label.cancel)" to leave.',
            },
            message: {
                notApplicable: 'Not applicable.',
                notAvailable: 'Not available.',
                totalPercent: 'Total: {{percent}}%',
                saving: 'Saving...',
                pending: 'Pending...',
                autosaved: 'Autosaved',
                lastSave: 'Last save was made {{time}}.',
                lastEdit: 'Last edit was made on {{date}} by {{user}}.',
                fileupload: 'Drop a file here, or click to select a file.',
                fileuploadSize: 'Maximum size for a new file: {{size}}.',
                fileuploadWarning: 'Please do not upload a file which contains sensitive / confidential information!',
                fileuploadOversize: 'Maximum allowed file size: {{size}}.',
                fileuploadFailed: 'File upload failed.',
            },
            unit: {
                justNow: 'just now',
                min: 'min',
                min_plural: 'mins',
                minVal: '{{count}} min',
                minVal_plural: '{{count}} mins',
                minute: 'minute',
                minute_plural: 'minutes',
                minuteValue: '{{count}} minute',
                minuteValue_plural: '{{count}} minutes',
                hr: 'hr',
                hr_plural: 'hrs',
                hrVal: '{{count}} hr',
                hrVal_plural: '{{count}} hrs',
                hour: 'hour',
                hour_plural: 'hours',
                hourValue: '{{count}} hour',
                hourValue_plural: '{{count}} hours',
            },
        },
        front: {
            title: 'Welcome to Learning Design Studio HE',
            subTitle: {
                myDesigns: 'My Recent Designs',
                myPatterns: 'My Recent Patterns',
                sharedDesigns: 'Recently Shared Designs',
                sharedPatterns: 'Recently Shared Patterns',
                myGroups: 'My Groups',
            },
            label: {
                userAccount: 'User Account »',
                showAll: 'Show all',
            },
            message: {
                description: 'A tool to support teaching professionals in the design and implementation of fully online and blended courses.',
            },
        },
        list: {
            title: {
                myDesigns: 'My Designs',
                publicDesigns: 'Public Designs',
                sharedDesigns: 'Shared Designs',
                contributedDesigns: 'Contributed Designs',
                myPatterns :'My Patterns',
                publicPatterns :'Public Patterns',
                sharedPatterns :'Shared Patterns',
                contributedPatterns :'Contributed Patterns',
                templatedDesigns: 'Templates',
            },
            subTitle: {
                contributeDesign: 'Contribute my design to Public Designs',
                contributePattern: 'Contribute my pattern to Public Patterns',
            },
            colTitle: {
                title: 'Title',
                subject: 'Subject',
                teacher: 'Teacher / Instructor',
                classSize: 'Class Size',
                sessionNum: 'No. of sessions',
                contributedBy: 'Contributed By',
                authors: 'Author(s)',
                sharedBy: 'Shared By',
                fullname: 'Name',
                targetedLoTypes: 'Targeted LO Types',
                compatiblePedagogies: 'Compatible Pedagogies',
                tags: 'Tags',
                createdAt: 'Created at',
                lastModified: 'Last Modified',
                publishedAt: 'Published At',
                owner: 'Owner',
            },
            label: {
                filter: 'Filter By',
                newDesign: 'New Design',
                designSupport: 'Design Support',
                newTemplate: 'New Template',
                entry: '{{count}} entry',
                entry_plural: '{{count}} entries',
                saveDesign: 'Save to $t(list.title.myDesigns)',
                newPattern: 'New Pattern',
                savePattern: 'Save to $t(list.title.myPatterns)',
            },
            alertify: {
                deleteDesign: 'DELETE DESIGN',
                approveDesign: 'Approve Design',
                denyDesign: 'Deny Design',
                approveDesignWarning: 'Only approved design will be shown in public.',
                deletePattern: 'DELETE PATTERN',
                approvePattern: 'Approve Pattern',
                denyPattern: 'Deny Pattern',
                approvePatternWarning: 'Only approved pattern will be shown in public.',
            },
            message: {
                designNotFound: 'No design found.',
                copyingDesign: 'Copying Design...',
                designCopied: 'Design copied.',
                savingDesign: 'Saving Design...',
                designSaved: 'Design saved.',
                saveDesignFailed: 'Save design failed.',
                designDeleted: 'Design deleted.',
                deleteDesignFailed: 'Delete design failed.',
                patternNotFound: 'No pattern found.',
                copyingPattern: 'Copying Pattern...',
                patternCopied: 'Pattern copied.',
                savingPattern: 'Saving Pattern...',
                patternSaved: 'Pattern saved.',
                savePatternFailed: 'Save pattern failed.',
                patternDeleted: 'Pattern deleted.',
                deletePatternFailed: 'Delete pattern failed.',
                settingsApplied: 'Settings applied.',
                applySettingsFailed: 'Apply settings failed.',
                requestSent: 'Request sent.',
                sendRequestFailed: 'Send request failed.',
                setStatusFailed: 'Set status failed.',
            },
            contributeStatus: {
                pending: 'Pending',
                approved: 'Approved',
                denied: 'Denied',
            },
        },
        setting: {
            subTitle: {
                shareUsers: 'Share to selected users',
                shareGroups: 'Share to selected user groups',
                sharePublic: 'Share to Public',
            },
            label: {
                sendRequest: 'Send Request',
                share: 'Share',
                remove: 'Remove',
                status: 'Status',
                saveCopy: 'Allow anyone to save a copy',
            },
            placeholder: {
                selectUser: 'Add selected by Username / Email',
                selectGroup: 'Select a user group',
            },
            alertify: {
                removePermission: 'REMOVE PERMISSION',
            },
            message: {
                groupNotFound: 'No user group found.',
            },
            options: {
                permission: {
                    read: 'View Only',
                    import: 'Allow Copy',
                    edit: 'Allow Edit',
                },
            },
        },
        design: {
            alertify: {
                takeoverRequest: 'TAKEOVER REQUEST',
                takeoverControl: '{{name}} would like to takeover your edit control.',
                tabOpened: 'You have opened an active view with another tab or window already.',
                takenControl: '{{name}} has taken over your edit control.',
                releaseControl: 'Your edit control will be released very soon.',
                extendControl: 'Extend release time',
                autoUpdateDisabled: 'Auto update is disabled due to inactivity.',
                resumeAutoUpdate: 'Resume auto update',
            },
            setup: {
                title: 'Setup a New Design',
                subTitle: {
                    selectTemplate: 'Please select a template:',
                    inputTitle: 'Please input a title:',
                },
                placeholder: {
                    title: 'Title',
                },
                options: {
                    template: {
                        'Blank Template': 'Blank Template',
                        'Moodle Template': 'Moodle Template',
                    }
                },
            },
            support: {
                title: 'Design Support',
                subTitle: {
                    selectTemplate: 'Please select a reference design to deploy:',
                },
                message: {
                    templateNotFound: 'No design found.',
                },
            },
            topNav: {
                design: 'Learning Design',
                dashboard: 'Designer\'s Dashboard',
            },
            wizard: {
                course: 'Course',
                unit: 'Strategic Components and Tasks',
                session: 'Session Organization',
            },
            context: {
                title: 'Learning Context & Characteristics of the Course',
                label: {
                    title: 'Course Title',
                    subject: 'Subject',
                    semester: 'Semester of Course Offering',
                    teacher: 'Teacher / Instructor',
                    classSize: 'Class Size',
                    sessionNum: 'No. of Sessions',
                    mode: 'Mode of Learning',
                    sessInDuration: 'Session Duration',
                    sessPpDuration: 'Pre+Post Session Duration',
                    type: 'Type of Course',
                    prerequisite: 'Prerequisites',
                    purpose: 'Purpose',
                    attachments: 'Attachments',
                    teachingTime: 'Teaching Contact Time',
                    selfStudyTime: 'Self-study Time',
                },
                placeholder: {
                    semester: 'e.g. 2nd term, 2017-2018',
                    purpose: 'Describe the context of this course, such as the expect profile of students and what purpose the students may have in attending it.',
                },
                alertify: {
                    removeAttachment: 'DELETE ATTACHMENT',
                },
                message: {
                    duration: '($t(general.unit.hour, {"count": {{hours}}})) / {{minutes}} ($t(general.unit.minute, {"count": {{minutes}}}))',
                    actualDuration: '{{hours}} ($t(general.unit.hour, {"count": {{hours}}})) / {{minutes}} ($t(general.unit.minute, {"count": {{minutes}}}))',
                },
                options: {
                    subject: {
                        'e-Leadership': 'e-Leadership',
                        'e-Learning': 'e-Learning',
                        'Learning technology design': 'Learning technology design',
                        'Arts and Humanities': 'Arts and Humanities',
                        'Design and Creativity': 'Design and Creativity',
                        'Film and Theatre': 'Film and Theatre',
                        'History': 'History',
                        'Literature and Writing': 'Literature and Writing',
                        'Music and Dance': 'Music and Dance',
                        'Philosophy and Ethics': 'Philosophy and Ethics',
                        'Religion and Culture': 'Religion and Culture',
                        'Visual Arts and Photography': 'Visual Arts and Photography',
                        'Biology and Life Science': 'Biology and Life Science',
                        'Bioinformatics': 'Bioinformatics',
                        'Biology': 'Biology',
                        'Business and Management': 'Business and Management',
                        'Business Analytics and Intelligence': 'Business Analytics and Intelligence',
                        'Business Essentials': 'Business Essentials',
                        'Business Strategy': 'Business Strategy',
                        'Economics and Finance': 'Economics and Finance',
                        'Entrepreneurship': 'Entrepreneurship',
                        'Industry Specific': 'Industry Specific',
                        'Leadership and Management': 'Leadership and Management',
                        'Marketing': 'Marketing',
                        'Computer Science': 'Computer Science',
                        'Artificial Intelligence': 'Artificial Intelligence',
                        'Data Science and Analysis': 'Data Science and Analysis',
                        'Databases': 'Databases',
                        'Hardware and Operating System': 'Hardware and Operating System',
                        'Information Technology': 'Information Technology',
                        'Networks and Computer Security': 'Networks and Computer Security',
                        'Software Engineering and Testing': 'Software Engineering and Testing',
                        'Theoretical Computer Science and Algorithms': 'Theoretical Computer Science and Algorithms',
                        'Education and Teaching': 'Education and Teaching',
                        'Language Learning': 'Language Learning',
                        'Office Productivity': 'Office Productivity',
                        'Online Education and Course Development': 'Online Education and Course Development',
                        'Personal and Career Development': 'Personal and Career Development',
                        'Teacher Development': 'Teacher Development',
                        'Test Preparation': 'Test Preparation',
                        'Engineering': 'Engineering',
                        'Architecture': 'Architecture',
                        'Civil and Environmental Engineering': 'Civil and Environmental Engineering',
                        'Electrical Engineering': 'Electrical Engineering',
                        'Mechanical Engineering': 'Mechanical Engineering',
                        'Health and Medicine': 'Health and Medicine',
                        'Disease and Medicine': 'Disease and Medicine',
                        'Nutrition and Wellness': 'Nutrition and Wellness',
                        'Public and Global Health': 'Public and Global Health',
                        'Mathematics': 'Mathematics',
                        'Algebra and Geometry': 'Algebra and Geometry',
                        'Calculus and Mathematical Analysis': 'Calculus and Mathematical Analysis',
                        'Foundations of Mathematics': 'Foundations of Mathematics',
                        'Logics': 'Logics',
                        'Statistics and Probability': 'Statistics and Probability',
                        'Physical Science': 'Physical Science',
                        'Chemistry': 'Chemistry',
                        'Energy and Earth Sciences': 'Energy and Earth Sciences',
                        'Environmental Science and Sustainability': 'Environmental Science and Sustainability',
                        'Physics and Astronomy': 'Physics and Astronomy',
                        'Research Methods': 'Research Methods',
                        'Programming': 'Programming',
                        'Design and Product': 'Design and Product',
                        'Game Development': 'Game Development',
                        'Mobile and Web Development': 'Mobile and Web Development',
                        'Programming Languages': 'Programming Languages',
                        'Software Development': 'Software Development',
                        'Social Science': 'Social Science',
                        'Anthropology': 'Anthropology',
                        'Law': 'Law',
                        'Politics': 'Politics',
                        'Psychology': 'Psychology',
                        'Sociology': 'Sociology',
                    },
                    mode: {
                        'blended': 'Blended',
                        'online': 'Online',
                        'face-to-face_only': 'Face-to-face only',
                    },
                    type: {
                        'Formal: undergraduate': 'Formal: undergraduate',
                        'Formal: postgraduate': 'Formal: postgraduate',
                        'Formal: high school': 'Formal: high school',
                        'Formal: middle school': 'Formal: middle school',
                        'Formal: elementary school': 'Formal: elementary school',
                        'Informal: for adults': 'Informal: for adults',
                        'Informal: for K-12': 'Informal: for K-12',
                    },
                    prerequisite: {
                        'not_applicable': 'Not applicable',
                        'bachelor_degree': 'Bachelor\'s degree',
                        'university_entrance_requirements': 'University Entrance Requirements',
                        'high_school_graduate': 'High school graduate',
                    },
                },
                constraints: {
                    title: {
                        presence: '^Please enter the Course Title.',
                        length: '^The Course Title you provided must be less than {{max}} characters.',
                    },
                    subject: {
                        presence: '^Please enter the Subject.',
                        length: '^The Subject you provided must be less than {{max}} characters.',
                    },
                    teacher: {
                        presence: '^Please enter the Teacher / Instructor.',
                        length: '^The Teacher / Instructor you provided must be less than {{max}} characters.',
                    },
                    classSize: {
                        presence: '^Please enter the Class Size.',
                        numericality: '^The Class Size you provided must be between {{min}} and {{max}}.',
                    },
                    type: {
                        presence: '^Please enter the Type of Course.',
                        length: '^The Type of Course you provided must be less than {{max}} characters.',
                    },
                    purpose: {
                        presence: '^Please enter the Purpose.',
                    },
                    semester: {
                        presence: '^Please enter the Semester.',
                        length: '^The Semester you provided must be less than {{max}} characters.',
                    },
                    sessInDuration: {
                        presence: '^Please enter the Session Duration.',
                        numericality: '^The Session Duration you provided must be between {{min}} and {{max}}.',
                    },
                    sessPpDuration: {
                        presence: '^Please enter the Pre+Post Session Duration.',
                        numericality: '^The Pre+Post Session Duration you provided must be between {{min}} and {{max}}.',
                    },
                },
            },
            outcome: {
                title: 'Learning Outcomes',
                colTitle: {
                    type: 'Type',
                },
                placeholder: {
                    description: 'Description. Type "?" to show some suggestions.',
                },
                alertify: {
                    deleteOutcome: 'DELETE OUTCOME',
                },
                message: {
                    outcomeNotFound: 'Please add a new Outcome.',
                },
                options: {
                    type: {
                        'disciplinary_knowledge': 'Disciplinary Knowledge',
                        'disciplinary_skills': 'Disciplinary Skills',
                        'generic_skills': 'Generic Skills',
                    },
                    description: {
                        'Communication skills': 'Communication skills',
                        'Collaboration skills': 'Collaboration skills',
                        'Critical thinking': 'Critical thinking',
                        'Creativity': 'Creativity',
                        'Leadership': 'Leadership',
                        'Self-directed learning': 'Self-directed learning',
                        'Time management': 'Time management',
                    },
                },
                constraints: {
                    type: {
                        presence: '^Please enter the Type.',
                    },
                    description: {
                        presence: '^Please enter the Description.',
                    },
                },
            },
            unitSeq: {
                title: 'Strategic Components',
                colTitle: {
                    title: 'Component Title',
                    approach: 'Pedagogical Strategy',
                    los: 'Learning Outcomes',
                    assessment: 'Have assessment?',
                    groupAssessment: 'Weight of Group work (%)',
                    individualAssessment: 'Weight of Individual work (%)',
                    teachingTime: 'Teaching contact time ($t(general.unit.min))',
                    selfStudyTime: 'Self-study time ($t(general.unit.min))',
                    description: 'Description',
                },
                alertify: {
                    deleteUnit: 'DELETE COMPONENT',
                },
                label: {
                    component: 'Component',
                    addComponent: 'Add a new component',
                    editComponent: 'Edit Strategic Component',
                },
                message: {
                    unitNotFound: 'Please add a new Sequence.',
                    instNotFound: 'No pattern for preview yet.',
                },
                titleConstraints: {
                    title: {
                        presence: '^Please enter the Component Title.',
                        length: '^The Component Title you provided must be less than {{max}} characters.',
                    },
                },
                approachConstraints: {
                    approach: {
                        presence: '^Please enter the Pedagogical Strategy.',
                        length: '^The Pedagogical Strategy you provided must be less than {{max}} characters.',
                    },
                },
                losConstraints: {
                    'los[]': {
                        presence: '^Please pick one.',
                    },
                },
                descriptionConstraints: {
                    description: {
                        presence: '^Please enter the Description.',
                    },
                },
            },
            unitInst: {
                title: 'Component Designs',
                subTitle: {
                    tasks: 'Tasks',
                    patterns: 'Patterns',
                },
                label: {
                    editPattern: 'Edit Pattern',
                },
                message: {
                    patternNotFound: 'Click the <1>"+ {{pattern}}"</1> button or expand the <3>"{{tasks}}"</3> panel above to insert a task.',
                    loadPatternListFailed: 'Load patterns failed.',
                    loadPatternPreviewFailed: 'Load pattern preview failed.',
                },
            },
            unitPatt: {
                title: 'Pattern Design',
                subTitle: {
                    myPatterns: 'My Patterns',
                    publicPatterns: 'Public Patterns',
                    saveToMyPatterns: 'Save to My Patterns',
                    patterns: 'Patterns',
                    preview: 'Preview',
                },
                label: {
                    newPattern: 'New Pattern',
                },
                alertify: {
                    deletePattern: 'DELETE PATTERN',
                    cancelWarning: 'Changes you made may not be saved.',
                    leaveWarning: 'You are about leaving the $t(design.unitPatt.title) panel, changes you made may not be saved!',
                },
                message: {
                    applySettings: 'Please select the tasks that you want to propagate the settings to theirs corresponding instances, if any.',
                },
            },
            pattern: {
                subTitle: {
                    taskTypes: 'Task Types',
                    arrangement: 'Arrangement',
                    navigation: 'Navigation',
                    patternOverview: 'Pattern Overview',
                    taskSettings: 'Task Settings',
                    additionalItems: 'Additional Items',
                    settings: 'Settings',
                    taskList: 'Task List',
                    authorship: 'Authorship Attribution',
                },
                colTitle: {
                    item: 'Item',
                },
                alertify: {
                    deleteTask: 'DELETE TASK',
                    deleteSetting: 'DELETE SETTING',
                    deleteItem: 'DELETE ITEM',
                    withoutSave: 'LEAVE WITHOUT SAVE',
                    leaveHint: 'To save changes, click the "$t(general.label.done)" button before you leave or "$t(general.label.cancel)" to abort.',
                    additionalCancelWarning: 'Changes you made may not be saved. Please fill in all required items and click "$t(general.label.done)" button before you leave.',
                    additionalLeaveWarning: 'You are about leaving the $t(design.pattern.subTitle.additionalItems) panel, changes you made may not be saved!',
                    additionalDeleteWarning: 'All additional items for this setting will also be deleted.',
                },
                label: {
                    autoAlign: 'Auto alignment',
                    authors: 'Author(s)',
                    optout: 'Opt-out',
                    name: 'Name',
                    tags: 'Tags',
                    targetedLoTypes: 'Targeted Learning Outcome Types',
                    compatiblePedagogies: 'Compatible Pedagogies',
                    compType: 'Pattern',
                    actType: 'Type',
                    fullname: 'Title',
                    description: 'Description',
                    assessment: 'Assessment',
                    dueDate: 'Due Date',
                    socialOrganization: 'Social Organization',
                    groupSize: 'Group Size',
                    feedbacks: 'Feedback',
                    motivators: 'Motivators',
                    duration: 'Duration',
                    setting: 'Setting',
                    resources: 'Resources',
                    tools: 'Tools',
                    note: 'Notes & Observations',
                    newItem: 'New Item',
                    additionalSettings: {
                        title: 'Title',
                        description: 'Description',
                        url: 'URL',
                        file: 'File',
                    },
                },
                placeholder: {
                    name: 'Pattern Name',
                    formattedDueDate: 'Formatted Date',
                    customDueDate: 'Custom Date',
                    min: 'Min.',
                    max: 'Max.',
                    feedbacks: 'Select a Feedback',
                    motivators: 'Select a Motivator',
                    resources: 'Select a Resource',
                    tools: 'Select a Tool',
                },
                message: {
                    panzoomTip: '"Shift + Mouse drag" to pan<br/>"Shift + Mouse wheel" to zoom<br/>"Shift + Double Click" to reset',
                    additionalNotFound: 'Please add a new Item.',
                    tryAgain: 'Please try again!',
                    connectAllTasks: 'Connect all tasks to enable task sequence checking in session organization.'
                },
                urlConstraints: {
                    title: {
                        presence: '^Please enter the Title.'
                    },
                    url: {
                        presence: '^Please enter the URL.',
                        url: '^Please enter a valid URL.',
                    },
                },
                fileConstraints: {
                    file: {
                        presence: '^Please upload a file.',
                    },
                },
                actGroups: {
                    reflective: 'Reflective',
                    productive: 'Productive',
                    exploratory: 'Exploratory',
                    directed: 'Directed',
                },
                activities: {
                    'Revision': 'Revision',
                    'Reflection': 'Reflection',
                    'Self-/Peer-assessment': 'Self-/Peer-assessment',
                    'Construction: Conceptual / Visual Artefacts': 'Construction: Conceptual / Visual Artefacts',
                    'Construction: Tangible / Manipulable Artifacts': 'Construction: Tangible / Manipulable Artifacts',
                    'Presentations, Performance Illustrations': 'Presentations, Performance Illustrations',
                    'Tangible / Immersive Investigation': 'Tangible / Immersive Investigation',
                    'Explorations through Conversation': 'Explorations through Conversation',
                    'Information Exploration': 'Information Exploration',
                    'Test / Assessment': 'Test / Assessment',
                    'Practice': 'Practice',
                    'Receiving & Interpreting Information': 'Receiving & Interpreting Information',
                },
                options: {
                    targetedLoTypes: {
                        'Preliminary introduction to concepts': 'Preliminary introduction to concepts',
                        'In-depth conceptual understanding': 'In-depth conceptual understanding',
                        'Academic writing skills': 'Academic writing skills',
                        'Critical thinking / argumentation': 'Critical thinking / argumentation',
                    },
                    compatiblePedagogies: {
                        'Didactic approach': 'Didactic approach',
                        'Constructivist': 'Constructivist',
                        'Social constructivist': 'Social constructivist',
                        'Cognitivist': 'Cognitivist',
                    },
                    socialOrganization: {
                        'group': 'Group',
                        'individual': 'Individual',
                        'peer_review': 'Peer-review',
                        'whole_class': 'Whole Class',
                    },
                    setting: {
                        'face_to_face_synchronous': 'Face-to-face (Synchronous)',
                        'face_to_face_classroom': 'Face-to-face (Classroom)',
                        'face_to_face_field_work': 'Face-to-face (Field Work)',
                        'informal_on_or_offline': 'Informal (On or Offline)',
                        'online_asynchronous': 'Online (Asynchronous)',
                        'online_synchronous': 'Online (Synchronous)',
                    },
                    feedbacks: {
                        //default
                        'Group Feedback': 'Group Feedback',
                        'Automated Feedback': 'Automated Feedback',
                        'Individual Feedback': 'Individual Feedback',
                        'Peer-review Feedback': 'Peer-review Feedback',
                        'Score': 'Score',
                        'Teacher Feedback': 'Teacher Feedback',
                    },
                    motivators: {
                        //default
                        'Badges': 'Badges',
                        'Leaderboard': 'Leaderboard',
                        'Peer Competition': 'Peer Competition',
                        'Peer Response (Quantity and Quality)': 'Peer Response (Quantity and Quality)',
                        'Score': 'Score',
                        'Team Agency': 'Team Agency',
                        'Individual Agency': 'Individual Agency',
                        'Extra Activities': 'Extra Activities',
                    },
                    resources: {
                        //default
                        'Additional Examples': 'Additional Examples',
                        'Assessment Rubric': 'Assessment Rubric',
                        'Audio': 'Audio',
                        'Book': 'Book',
                        'Book Chapter': 'Book Chapter',
                        'Checklist': 'Checklist',
                        'Course / Session Outline': 'Course / Session Outline',
                        'Demo Video': 'Demo Video',
                        'Discussion Questions': 'Discussion Questions',
                        'Interactive Learning Material': 'Interactive Learning Material',
                        'Lecture Text': 'Lecture Text',
                        'Lecture Video': 'Lecture Video',
                        'Paper': 'Paper',
                        'PPT Slides': 'PPT Slides',
                        'Quiz': 'Quiz',
                        'Sample Work by Students': 'Sample Work by Students',
                        'Survey': 'Survey',
                        'Task Example': 'Task Example',
                        'Template': 'Template',
                        'Tutorial Text': 'Tutorial Text',
                        'Tutorial Video': 'Tutorial Video',
                        'Video': 'Video',
                        'Website': 'Website',
                        'Worksheet': 'Worksheet',
                        'Writing Template': 'Writing Template',

                        //moodle
                        'File': 'File',
                        'Folder': 'Folder',
                        'IMS content package': 'IMS content package',
                        'Label': 'Label',
                        'Page': 'Page',
                        'URL': 'URL',
                    },
                    tools: {
                        //default
                        'Blog': 'Blog',
                        'Brainstorming Tool': 'Brainstorming Tool',
                        'Chatroom': 'Chatroom',
                        'Course Outline Templet': 'Course Outline Templet',
                        'Design Log': 'Design Log',
                        'Discussion Forum': 'Discussion Forum',
                        'e-Portfolio': 'e-Portfolio',
                        'Learning Design Studio': 'Learning Design Studio',
                        'LMS-Moodle': 'LMS-Moodle',
                        'Mind-mapping Tool': 'Mind-mapping Tool',
                        'Online Assign Submission': 'Online Assign Submission',
                        'Online Course Room': 'Online Course Room',
                        'Online Shared Drive': 'Online Shared Drive',
                        'Online Shared Workspace': 'Online Shared Workspace',
                        'Programming Language': 'Programming Language',
                        'Quiz Tool': 'Quiz Tool',
                        'Survey Tool': 'Survey Tool',
                        'Survey-Poll': 'Survey-Poll',
                        'Video Quiz': 'Video Quiz',
                        'Wiki': 'Wiki',

                        //moodle
                        'Assignments': 'Assignments',
                        'Chat': 'Chat',
                        'Choice': 'Choice',
                        'Database': 'Database',
                        'Feedback': 'Feedback',
                        'Forum': 'Forum',
                        'Glossary': 'Glossary',
                        'Lesson': 'Lesson',
                        '(LTI) External tool': '(LTI) External tool',
                        'Quiz': 'Quiz',
                        'SCORM': 'SCORM',
                        'Survey': 'Survey',
                        'Workshop': 'Workshop',
                    },
                    additionalSettings: {
                        'url': 'URL',
                        'file': 'File',
                    },
                },
            },
            session: {
                subTitle: {
                    sessions: 'Sessions',
                    details: 'Details',
                    taskSettings: 'Task Settings',
                    finalAssignments: 'Final Assignments',
                },
                label: {
                    session: 'Session',
                    clearSession: 'Clear Session',
                    preClass: 'Pre-class',
                    inClass: 'In-class',
                    postClass: 'Post-class',
                    topic: 'Topic',
                    objective: 'Objective',
                    utcDate: 'Date',
                    utcDateFilling: 'Continuity date filling',
                    invalidSequence: 'Invalid sequence',
                },
                placeholder: {
                    utcDate: 'Pick a Date',
                },
                alertify: {
                    clearSession: 'CLEAR SESSION',
                    deleteSession:  'DELETE SESSION',
                    utcDateAutoFilled: 'Dates filled in subsequent sessions.',
                },
                message: {
                    inClassDuration: 'In-class: $t(general.unit.hrVal, {"count": {{hrs}}}) / $t(general.unit.minVal, {"count": {{mins}}})',
                    ppClassDuration: 'Pre+Post-class: $t(general.unit.hrVal, {"count": {{hrs}}}) / $t(general.unit.minVal, {"count": {{mins}}})',
                },
                constraints: {
                    topic: {
                        presence: '^Please enter the Topic.',
                        length: '^The Topic you provided must be less than {{max}} characters.',
                    },
                    objective: {
                        presence: '^Please enter the Objective.',
                    },
                    utcDate: {
                        presence: '^Please enter the Date.',
                    },
                },
            },
            dashboard: {
                subTitle: {
                    learning: 'Learning',
                    learningTask: 'Type of Learning Task',
                    socialOrganization: 'Social Organization in Learning',
                    learningOutcome: 'The duration of training will receive for each Learning Outcome',
                    assessment: 'Assessment',
                    assessmentWeight: 'Weight of Assignments',
                    importantDate: 'Important Dates',
                    timeOrganization: 'Time Organization',
                    classContactTime: 'Class Contact Time - $t(general.unit.minVal, {"count": {{mins}}})',
                    selfStudyTime: 'Self-directed Study Time: Individual & Group - $t(general.unit.minVal, {"count": {{mins}}})',
                },
                colTitle: {
                    time: 'Time',
                    task: 'Task',
                },
                label: {
                    groupWork: 'Group work',
                    individualWork: 'Individual work',
                },
            },
            printable: {
                subTitle: {
                    context: 'Learning Context & Characteristics of the Course',
                    purpose: 'Purpose of the Course',
                    outcome: 'Specific intended Learning Outcomes',
                    assessment: 'Assessment',
                    importantDate: 'Important Dates',
                    session: 'Course Delivery',
                },
                colTitle: {
                    assessment: 'Assessment',
                    time: 'Time',
                    task: 'Task',
                },
            },
        },
        group: {
            title: {
                myGroups: 'My Groups',
                myGroup: 'My Group',
                groupManagement: 'Group Management',
                membersManagement: 'Members management',
            },
            subTitle: {
                generalSettings: 'General Settings',
                basicManagement: 'Basic Management',
                addMember: 'Add Member',
                existsMember: 'Existing Members',
            },
            colTitle: {
                name: 'Name',
                owner: 'Owner',
                size: 'Size',
                user: 'User',
                email: 'Email',
                status: 'Status',
            },
            label: {
                newGroup: 'New Group',
                leaveGroup: 'Leave Group',
                group: 'Group',
                management: 'Management',
                backGroup: 'Back to My Groups',
                backManagement: 'Back to Group Management',
                members: 'Members',
                sharedDesigns: 'Shared Designs',
                sharedPatterns: 'Shared Patterns',
                owner: 'Owner',
                groupName: 'Group Name',
                description: 'Description',
                newMember: 'New Member',
                sendInvitation: 'Send Invitation',
            },
            placeholder: {
                groupName: 'Group name',
            },
            alertify: {
                leaveGroup: 'LEAVE GROUP',
                deleteGroup: 'DELETE GROUP',
                deleteMember: 'DELETE MEMBER',
            },
            message: {
                noGroupFound: 'No group found',
                noMemberFound: 'No member found',
                inputGroupName: 'Please input a Group name.',
                groupDeleted: 'Group deleted.',
                deleteGroupFailed: 'Delete group failed.',
                groupJoined: 'Group joined.',
                joinGroupFailed: 'Join group failed.',
                groupLeft: 'Group left.',
                leaveGroupFailed: 'Leave group failed.',
                invitationSent: 'Invitation sent.',
                addMemberFailed: 'Add member failed.',
                memberDeleted: 'Member deleted.',
                deleteMemberFailed: 'Delete member failed.',
            },
            inviteStatus: {
                'active': 'Active',
                'inviting': 'Inviting',
                'invitation_rejected': 'Invitation rejected',
                'invitation_expired': 'Invitation expired',
                'left': 'Left',
            },
        },
        userFinder: {
            placeholder: {
                user: 'Username / Email',
            },
            message: {
                inputTooShort: 'Please enter {{length}} or more characters.',
                searching: 'Searching...',
                resultNotFound: 'No results found',
            },
        },
        notification: {
            title: 'Notification (Unread {{count}})',
            title_plural: 'Notifications (Unread {{count}})',
            subTitle: {
                notification: 'Notifications',
                invitation: '{{title}} from {{from}}',
            },
            msgTitle: {
                'Shared Design': 'Shared Design',
                'Group Shared Design': 'Group Shared Design',
                'Design reviewed by Curator': 'Design reviewed by Curator',
                'Shared Pattern': 'Shared Pattern',
                'Group Shared Pattern': 'Group Shared Pattern',
                'Pattern reviewed by Curator': 'Pattern reviewed by Curator',
                'Group Invitation': 'Group Invitation',
            },
            label: {
                clearAll: 'Clear all',
                showAll: 'Show all ({{count}})',
            },
            message: {
                sharedDesign: '<0>{{from}}</0> shared a design to you: <2>{{courseTitle}}</2>.',
                reviewedDesign: 'Your contributed design <1>{{courseTitle}}</1> has been reviewed.',
                sharedPattern: '<0>{{from}}</0> shared a pattern to you: <2>{{collectionName}}</2>.',
                reviewedPattern: 'Your contributed pattern <1>{{collectionName}}</1> has been reviewed.',
                invitation: '<0>{{from}}</0> would like to invite you to join <2>{{groupName}}</2> group.',
                notFound: 'No notification found.',
            },
            options: {
                filter: {
                    all: 'All',
                    unread: 'Unread',
                    read: 'Read',
                },
            },
        },
        http: {
            label: {
                home: 'HOME',
            },
            message: {
                missingPermission: 'You need permission to perform this action.',
                resourcesNotFound: 'Requested resources not found.',
            },
            400: {
                title: 'Bad Request',
                message: 'The request could not be understood by the server.',
                link: 'Please try again later or go back to <1>{{home}}</1>.',
            },
            401: {
                title: 'Not Authorized',
                label: {
                    login: 'Login',
                },
                message: 'User authentication is required for the requested resource.',
                link: 'Go to <1>{{login}}</1>.',
            },
            403: {
                title: 'Forbidden',
                message: 'You do not have permission to access the resource using the supplied credentials.',
                link: 'Go back to <1>{{home}}</1>.',
            },
            404: {
                title: 'Page not found',
                message: 'The resource you are looking for does not exist.',
                link: 'Go back to <1>{{home}}</1>.',
            },
            405: {
                title: 'Method Not Allowed',
                message: 'The request cannot be processed because an invalid request method is being used.',
                link: 'Go back to <1>{{home}}</1>.',
            },
            409: {
                title: 'Conflict',
                message: {
                    general: 'Request conflicts with current state of resource.',
                    outdated: 'The content that you are editing may be out-of-date.',
                    multiTabs: 'This can be happened if you edit your design from different browsers or from multiple tabs.',
                },
                link: {
                    general: 'Go back to <1>{{home}}</1>.',
                    refresh: '<0>{{refresh}}</0> the content to continue editing or go back to <2>{{home}}</2>.',
                },
            },
            423: {
                title: 'Locked',
                label: {
                    preview: 'Preview',
                    takeover: 'Takeover',
                    takeoverForcefully: 'Takeover forcefully',
                    takeoverForcefullyWithCount: 'Takeover forcefully ({{secs}}s remaining)',
                    reacquire: 'Reacquire',
                },
                alertify: {
                    deniedControl: '{{name}} denied your takeover request.',
                    takenControl: '{{name}} has taken over the edit control.',
                },
                message: {
                    general: 'The resource that is being accessed is locked.',
                    takeoverBy: 'The resource is currently locked by {{takeoverBy}}.',
                    timeout: 'You are blocked from editing due to lock timeout. Please reacquire a lock before editing.',
                },
                link: {
                    goBack: 'Go back to <1>{{home}}</1>.',
                    takeover: '<0>{{takeover}}</0> to regain the edit control, <2></2> the readonly content or go back to <4>{{home}}</4>.',
                    reacquire: '<0></0> a lock or go back to <2>{{home}}</2>.',
                },
            },
            500: {
                title: 'Internal Server Error',
                message: 'There is a problem with the resource you are looking for.',
                link: 'Please try again later or go back to <1>{{home}}</1>.',
            },
            netErr: {
                title: 'Network Error',
                message: 'No network connection or server cannot be reached at the moment.',
            },
        },
    },
};
